Use detox to run tox in parallel
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76         <hudson.model.StringParameterDefinition>
77           <name>TOX_DIR</name>
78           <description>Path to directory containing tox.ini file.
79 </description>
80           <defaultValue/>
81         </hudson.model.StringParameterDefinition>
82         <hudson.model.StringParameterDefinition>
83           <name>TOX_ENVS</name>
84           <description>Tox environments to run build against.
85 Example: docs,py2,py3
86 </description>
87           <defaultValue/>
88         </hudson.model.StringParameterDefinition>
89       </parameterDefinitions>
90     </hudson.model.ParametersDefinitionProperty>
91   </properties>
92   <scm class="hudson.plugins.git.GitSCM">
93     <configVersion>2</configVersion>
94     <userRemoteConfigs>
95       <hudson.plugins.git.UserRemoteConfig>
96         <name>origin</name>
97         <refspec>$GERRIT_REFSPEC</refspec>
98         <url>$GIT_URL/$GERRIT_PROJECT</url>
99         <credentialsId>test-credential</credentialsId>
100       </hudson.plugins.git.UserRemoteConfig>
101     </userRemoteConfigs>
102     <branches>
103       <hudson.plugins.git.BranchSpec>
104         <name>refs/heads/$GERRIT_BRANCH</name>
105       </hudson.plugins.git.BranchSpec>
106     </branches>
107     <excludedUsers/>
108     <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
109     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
110     <authorOrCommitter>false</authorOrCommitter>
111     <wipeOutWorkspace>true</wipeOutWorkspace>
112     <pruneBranches>false</pruneBranches>
113     <remotePoll>false</remotePoll>
114     <gitTool>Default</gitTool>
115     <submoduleCfg class="list"/>
116     <relativeTargetDir/>
117     <reference/>
118     <gitConfigName/>
119     <gitConfigEmail/>
120     <skipTag>true</skipTag>
121     <scmName/>
122     <useShallowClone>false</useShallowClone>
123     <ignoreNotifyCommit>false</ignoreNotifyCommit>
124     <extensions>
125       <hudson.plugins.git.extensions.impl.SubmoduleOption>
126         <disableSubmodules>false</disableSubmodules>
127         <recursiveSubmodules>true</recursiveSubmodules>
128         <trackingSubmodules>false</trackingSubmodules>
129         <reference/>
130         <timeout>10</timeout>
131       </hudson.plugins.git.extensions.impl.SubmoduleOption>
132       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
133     </extensions>
134   </scm>
135   <triggers class="vector">
136     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
137       <spec/>
138       <gerritProjects>
139         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
140           <compareType>ANT</compareType>
141           <pattern>releng/ciman</pattern>
142           <branches>
143             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
144               <compareType>ANT</compareType>
145               <pattern>**/master</pattern>
146             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
147           </branches>
148           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
149         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
150       </gerritProjects>
151       <skipVote>
152         <onSuccessful>false</onSuccessful>
153         <onFailed>false</onFailed>
154         <onUnstable>false</onUnstable>
155         <onNotBuilt>false</onNotBuilt>
156       </skipVote>
157       <silentMode>false</silentMode>
158       <silentStartMode>false</silentStartMode>
159       <escapeQuotes>true</escapeQuotes>
160       <noNameAndEmailParameters>false</noNameAndEmailParameters>
161       <readableMessage>false</readableMessage>
162       <dependencyJobsNames/>
163       <notificationLevel/>
164       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
165       <triggerConfigURL/>
166       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
167       <triggerOnEvents>
168         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
169           <excludeDrafts>true</excludeDrafts>
170           <excludeTrivialRebase>false</excludeTrivialRebase>
171           <excludeNoCodeChange>false</excludeNoCodeChange>
172         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
173         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
174         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
175           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
176         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
177       </triggerOnEvents>
178       <buildStartMessage/>
179       <buildFailureMessage/>
180       <buildSuccessfulMessage/>
181       <buildUnstableMessage/>
182       <buildNotBuiltMessage/>
183       <buildUnsuccessfulFilepath/>
184       <customUrl/>
185       <serverName>test-server</serverName>
186     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
187   </triggers>
188   <builders>
189     <hudson.tasks.Shell>
190       <command>#!/bin/bash
191 # SPDX-License-Identifier: EPL-1.0
192 ##############################################################################
193 # Copyright (c) 2017 The Linux Foundation and others.
194 #
195 # All rights reserved. This program and the accompanying materials
196 # are made available under the terms of the Eclipse Public License v1.0
197 # which accompanies this distribution, and is available at
198 # http://www.eclipse.org/legal/epl-v10.html
199 ##############################################################################
200 echo &quot;---&gt; lftools-install.sh&quot;
201
202 # Script to install lftools via a version passed in via lf-infra-parameters
203 #
204 # Required parameters:
205 #
206 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
207 #                      set to a strict version number like '1.2.3' or using
208 #                      PEP-440 definitions.
209 #
210 #                      Examples:
211 #                          &lt;1.0.0
212 #                          &gt;=1.0.0,&lt;2.0.0
213 #
214 # By default a released version of lftools should always be used.
215 # The purpose of the 2 variables below is so that lftools devs can test
216 # unreleased versions of lftools. There are 2 methods to install a dev version
217 # of lftools:
218 #
219 #     1) gerrit patch: Used to test a patch that has not yet been merged.
220 #                      To do this set something like this:
221 #                          LFTOOLS_MODE=gerrit
222 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
223 #
224 #     2) git branch: Used to install an lftools version from a specific branch.
225 #                    To use this set the variables as follows:
226 #                          LFTOOLS_MODE=git
227 #                          LFTOOLS_REFSPEC=master
228 #
229 #     3) release : The intended use case and default setting.
230 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
231
232 LFTOOLS_MODE=release  # release | git | gerrit
233 LFTOOLS_REFSPEC=master
234
235 # Ensure we fail the job if any steps fail.
236 # DO NOT set -u as virtualenv's activate script has unbound variables
237 set -e -o pipefail
238
239 virtualenv --quiet &quot;/tmp/v/lftools&quot;
240 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
241 source &quot;/tmp/v/lftools/bin/activate&quot;
242 pip install --quiet --upgrade pip
243
244 case $LFTOOLS_MODE in
245     gerrit)
246         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
247         pushd /tmp/lftools
248         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
249         git checkout FETCH_HEAD
250         pip install --quiet --upgrade -r requirements.txt
251         pip install --quiet --upgrade -e .
252         popd
253         ;;
254
255     git)
256         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
257         ;;
258
259     release)
260         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
261             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
262         fi
263
264         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
265         ;;
266 esac
267
268 lftools --version
269
270 # pipdeptree prints out a lot of information because lftools pulls in many
271 # dependencies. Let's only print it if we want to debug.
272 # echo &quot;----&gt; Pip Dependency Tree&quot;
273 # pip install --quiet --upgrade pipdeptree
274 # pipdeptree
275 </command>
276     </hudson.tasks.Shell>
277     <hudson.tasks.Shell>
278       <command>#!/bin/bash
279 # SPDX-License-Identifier: EPL-1.0
280 ##############################################################################
281 # Copyright (c) 2017 The Linux Foundation and others.
282 #
283 # All rights reserved. This program and the accompanying materials
284 # are made available under the terms of the Eclipse Public License v1.0
285 # which accompanies this distribution, and is available at
286 # http://www.eclipse.org/legal/epl-v10.html
287 ##############################################################################
288 echo &quot;---&gt; tox-install.sh&quot;
289
290 # Ensure we fail the job if any steps fail.
291 # DO NOT set -u as virtualenv's activate script has unbound variables
292 set -e -o pipefail
293
294 virtualenv --quiet &quot;/tmp/v/tox&quot;
295 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
296 source &quot;/tmp/v/tox/bin/activate&quot;
297 pip install --quiet --upgrade pip
298 pip install --quiet --upgrade pipdeptree
299 pip install --quiet --upgrade detox tox argparse
300
301 echo &quot;----&gt; Pip Dependency Tree&quot;
302 pipdeptree
303
304 #!/bin/bash
305 # SPDX-License-Identifier: EPL-1.0
306 ##############################################################################
307 # Copyright (c) 2017 The Linux Foundation and others.
308 #
309 # All rights reserved. This program and the accompanying materials
310 # are made available under the terms of the Eclipse Public License v1.0
311 # which accompanies this distribution, and is available at
312 # http://www.eclipse.org/legal/epl-v10.html
313 ##############################################################################
314 echo &quot;---&gt; tox-run.sh&quot;
315
316 # Ensure we fail the job if any steps fail.
317 # DO NOT set -u as virtualenv's activate script has unbound variables
318 set -e -o pipefail
319
320 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
321 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
322
323 cd &quot;$WORKSPACE/$TOX_DIR&quot;
324
325 if [ ! -z &quot;$TOX_ENVS&quot; ]; then
326     detox -e &quot;$TOX_ENVS&quot;  | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
327 else
328     detox | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
329 fi
330
331 # Disable SC2116 as we want to echo a space separated list of TOX_ENVS
332 # shellcheck disable=SC2116
333 for i in $(echo &quot;${TOX_ENVS//,/ }&quot;); do
334     cp -r &quot;.tox/$i/log&quot; &quot;$ARCHIVE_TOX_DIR/$i&quot;
335 done
336
337 echo &quot;Completed tox runs.&quot;
338 </command>
339     </hudson.tasks.Shell>
340   </builders>
341   <publishers>
342     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
343       <buildSteps>
344         <hudson.tasks.Shell>
345           <command>#!/bin/bash
346 # SPDX-License-Identifier: EPL-1.0
347 ##############################################################################
348 # Copyright (c) 2017 The Linux Foundation and others.
349 #
350 # All rights reserved. This program and the accompanying materials
351 # are made available under the terms of the Eclipse Public License v1.0
352 # which accompanies this distribution, and is available at
353 # http://www.eclipse.org/legal/epl-v10.html
354 ##############################################################################
355 echo &quot;---&gt; sysstat.sh&quot;
356 set +e  # DON'T fail build if script fails.
357
358 OS=$(facter operatingsystem)
359 case &quot;$OS&quot; in
360     Ubuntu)
361         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
362
363         # Dont run the script when systat is not enabled by default
364         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
365             exit 0
366         fi
367     ;;
368     CentOS|RedHat)
369         SYSSTAT_PATH=&quot;/var/log/sa&quot;
370     ;;
371     *)
372         # nothing to do
373         exit 0
374     ;;
375 esac
376
377 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
378 mkdir -p &quot;$SAR_DIR&quot;
379 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
380 # convert sar data to ascii format
381 while IFS=&quot;&quot; read -r sarfilenum
382 do
383     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
384 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
385
386 # DON'T fail build if script fails.
387 exit 0
388 </command>
389         </hudson.tasks.Shell>
390         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
391           <managedFiles>
392             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
393               <fileId>jenkins-log-archives-settings</fileId>
394               <targetLocation/>
395               <variable>SETTINGS_FILE</variable>
396             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
397           </managedFiles>
398         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
399         <EnvInjectBuilder>
400           <info>
401             <propertiesContent>SERVER_ID=logs</propertiesContent>
402           </info>
403         </EnvInjectBuilder>
404         <hudson.tasks.Shell>
405           <command>#!/bin/bash
406 # SPDX-License-Identifier: EPL-1.0
407 ##############################################################################
408 # Copyright (c) 2017 The Linux Foundation and others.
409 #
410 # All rights reserved. This program and the accompanying materials
411 # are made available under the terms of the Eclipse Public License v1.0
412 # which accompanies this distribution, and is available at
413 # http://www.eclipse.org/legal/epl-v10.html
414 ##############################################################################
415 echo &quot;---&gt; create-netrc.sh&quot;
416
417 # Ensure we fail the job if any steps fail.
418 set -eu -o pipefail
419
420 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
421 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
422     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
423     -v x:username -o &quot;:&quot; -v x:password \
424     &quot;$SETTINGS_FILE&quot;)
425
426 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
427 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
428 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
429
430 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
431 </command>
432         </hudson.tasks.Shell>
433         <hudson.tasks.Shell>
434           <command>#!/bin/bash
435 # SPDX-License-Identifier: EPL-1.0
436 ##############################################################################
437 # Copyright (c) 2017 The Linux Foundation and others.
438 #
439 # All rights reserved. This program and the accompanying materials
440 # are made available under the terms of the Eclipse Public License v1.0
441 # which accompanies this distribution, and is available at
442 # http://www.eclipse.org/legal/epl-v10.html
443 ##############################################################################
444 echo &quot;---&gt; lftools-install.sh&quot;
445
446 # Script to install lftools via a version passed in via lf-infra-parameters
447 #
448 # Required parameters:
449 #
450 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
451 #                      set to a strict version number like '1.2.3' or using
452 #                      PEP-440 definitions.
453 #
454 #                      Examples:
455 #                          &lt;1.0.0
456 #                          &gt;=1.0.0,&lt;2.0.0
457 #
458 # By default a released version of lftools should always be used.
459 # The purpose of the 2 variables below is so that lftools devs can test
460 # unreleased versions of lftools. There are 2 methods to install a dev version
461 # of lftools:
462 #
463 #     1) gerrit patch: Used to test a patch that has not yet been merged.
464 #                      To do this set something like this:
465 #                          LFTOOLS_MODE=gerrit
466 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
467 #
468 #     2) git branch: Used to install an lftools version from a specific branch.
469 #                    To use this set the variables as follows:
470 #                          LFTOOLS_MODE=git
471 #                          LFTOOLS_REFSPEC=master
472 #
473 #     3) release : The intended use case and default setting.
474 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
475
476 LFTOOLS_MODE=release  # release | git | gerrit
477 LFTOOLS_REFSPEC=master
478
479 # Ensure we fail the job if any steps fail.
480 # DO NOT set -u as virtualenv's activate script has unbound variables
481 set -e -o pipefail
482
483 virtualenv --quiet &quot;/tmp/v/lftools&quot;
484 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
485 source &quot;/tmp/v/lftools/bin/activate&quot;
486 pip install --quiet --upgrade pip
487
488 case $LFTOOLS_MODE in
489     gerrit)
490         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
491         pushd /tmp/lftools
492         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
493         git checkout FETCH_HEAD
494         pip install --quiet --upgrade -r requirements.txt
495         pip install --quiet --upgrade -e .
496         popd
497         ;;
498
499     git)
500         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
501         ;;
502
503     release)
504         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
505             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
506         fi
507
508         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
509         ;;
510 esac
511
512 lftools --version
513
514 # pipdeptree prints out a lot of information because lftools pulls in many
515 # dependencies. Let's only print it if we want to debug.
516 # echo &quot;----&gt; Pip Dependency Tree&quot;
517 # pip install --quiet --upgrade pipdeptree
518 # pipdeptree
519
520 #!/bin/bash
521 # SPDX-License-Identifier: EPL-1.0
522 ##############################################################################
523 # Copyright (c) 2017 The Linux Foundation and others.
524 #
525 # All rights reserved. This program and the accompanying materials
526 # are made available under the terms of the Eclipse Public License v1.0
527 # which accompanies this distribution, and is available at
528 # http://www.eclipse.org/legal/epl-v10.html
529 ##############################################################################
530 echo &quot;---&gt; logs-deploy.sh&quot;
531
532 # Ensure we fail the job if any steps fail.
533 set -eu -o pipefail
534
535 set -x  # Trace commands for this script to make debugging easier.
536
537 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
538 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
539
540 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
541 then
542     set +x # Disable trace since we no longer need it
543
544     echo &quot;WARNING: Logging server not set&quot;
545 else
546     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
547     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
548     BUILD_URL=&quot;${BUILD_URL}&quot;
549
550     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
551     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
552
553     set +x  # Disable trace since we no longer need it.
554
555     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
556 fi
557 </command>
558         </hudson.tasks.Shell>
559         <hudson.tasks.Shell>
560           <command>#!/bin/bash
561 # SPDX-License-Identifier: EPL-1.0
562 ##############################################################################
563 # Copyright (c) 2017 The Linux Foundation and others.
564 #
565 # All rights reserved. This program and the accompanying materials
566 # are made available under the terms of the Eclipse Public License v1.0
567 # which accompanies this distribution, and is available at
568 # http://www.eclipse.org/legal/epl-v10.html
569 ##############################################################################
570
571 # Clear log credential files
572 rm &quot;$SETTINGS_FILE&quot;
573 rm ~/.netrc
574 </command>
575         </hudson.tasks.Shell>
576         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
577           <regexp>^Build logs: .*</regexp>
578         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
579       </buildSteps>
580       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
581       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
582       <markBuildUnstable>false</markBuildUnstable>
583     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
584     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
585       <patterns>
586         <hudson.plugins.ws__cleanup.Pattern>
587           <pattern>**/*.jenkins-trigger</pattern>
588           <type>EXCLUDE</type>
589         </hudson.plugins.ws__cleanup.Pattern>
590       </patterns>
591       <deleteDirs>false</deleteDirs>
592       <cleanupMatrixParent>false</cleanupMatrixParent>
593       <externalDelete/>
594       <cleanWhenSuccess>true</cleanWhenSuccess>
595       <cleanWhenUnstable>true</cleanWhenUnstable>
596       <cleanWhenFailure>true</cleanWhenFailure>
597       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
598       <cleanWhenAborted>true</cleanWhenAborted>
599       <notFailBuild>true</notFailBuild>
600     </hudson.plugins.ws__cleanup.WsCleanup>
601   </publishers>
602   <buildWrappers>
603     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
604     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
605       <timeoutMinutes>10</timeoutMinutes>
606       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
607       <failBuild>true</failBuild>
608       <writingDescription>false</writingDescription>
609       <timeoutPercentage>0</timeoutPercentage>
610       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
611       <timeoutType>absolute</timeoutType>
612     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
613     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
614     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
615       <user>test-credential</user>
616     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
617     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
618     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
619       <managedFiles>
620         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
621           <fileId>npmrc</fileId>
622           <targetLocation>$HOME/.npmrc</targetLocation>
623           <variable/>
624         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
625       </managedFiles>
626     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
627   </buildWrappers>
628 </project>